﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ProjectManagementSystem.Common.Models.Crms
{
    public class SWmsStockRecordPage
    {
        public Record[] records { get; set; }
        public int total { get; set; }
        public int size { get; set; }
        public int current { get; set; }
        public object[] orders { get; set; }
        public bool optimizeCountSql { get; set; }
        public bool searchCount { get; set; }
        public object countId { get; set; }
        public object maxLimit { get; set; }
        public int pages { get; set; }

        public class Record
        {
            public string id { get; set; }
            public string recordTime { get; set; }
            public int recordType { get; set; }
            public int? startSupporterType { get; set; }
            public string startSupporterId { get; set; }
            public string startWarehouseId { get; set; }
            public string startAreaId { get; set; }
            public int? endSupporterType { get; set; }
            public string endSupporterId { get; set; }
            public string endWarehouseId { get; set; }
            public string endAreaId { get; set; }
            public object goodId { get; set; }
            public string goodsCode { get; set; }
            public string goodsName { get; set; }
            public string goodsAbbreviation { get; set; }
            public object sysGoodsStatus { get; set; }
            public int goodsShape { get; set; }
            public string goodsType { get; set; }
            public string createTime { get; set; }
            public string updateTime { get; set; }
            public string attribute1 { get; set; }
            public string attribute2 { get; set; }
            public string attribute3 { get; set; }
            public string attribute4 { get; set; }
            public string attribute5 { get; set; }
            public string attribute6 { get; set; }
            public string attribute7 { get; set; }
            public string attribute8 { get; set; }
            public string attribute9 { get; set; }
            public string attribute10 { get; set; }
            public string attribute11 { get; set; }
            public string attribute12 { get; set; }
            public string attribute13 { get; set; }
            public string attribute14 { get; set; }
            public string attribute15 { get; set; }
            public string attribute16 { get; set; }
            public string attribute17 { get; set; }
            public string attribute18 { get; set; }
            public string attribute19 { get; set; }
            public string attribute20 { get; set; }
        }
    }
}
