﻿using ProjectManagementSystem.Common.Config;
using ProjectManagementSystem.Common.Dispatch;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace ProjectManagementSystem.UI
{
    public partial class DebugTrafficInfoUI : UserControl, IDisplayUI
    {
        public DebugTrafficInfoUI()
        {
            InitializeComponent();
        }

        public bool Init()
        {
            dataGridUI1.dataGridView1.CellClick += DataGridView1_CellClick;
            return true;
        }

        private void DataGridView1_CellClick(object sender, DataGridViewCellEventArgs e)
        {
            textBox1.Text = dataGridUI1.GetCurrentColValue("MarksString");
        }

        public void UpdateDisplay()
        {
            if (!this.Visible) return;

            var dataList = ExcelConfig.Instance.TrafficList;
            dataGridUI1.ShowDataGrid(dataList, (s, v) => s.MarksString == v.MarksString);
        }




    }
}
