﻿using PropertyChanged;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ProjectManagementSystemView.Infrastructure.Models
{
    [AddINotifyPropertyChangedInterface]
    public class VmPackStation
    {
        public string Id { get; set; }

        public int 工位导航点 { get; set; }
        public int 请求进入导航点 { get; set; }


        public bool 请求进入 { get; set; }
        public bool 正在进入 { get; set; }
        public bool 到位 { get; set; }
        public bool 正在离开 { get; set; }
        public bool AGV上升到位 { get; set; }
        public bool AGV下降到位 { get; set; }

        //public bool AGV正在进门 { get; set; }
        //public bool AGV正在出门 { get; set; }

        //public bool AGV报警 { get; set; }
        public int AGV编号 { get; set; }
        //public int AGV报警代码 { get; set; }


        public string 请求进入AGV信息 { get; set; }
        public string 正在进入AGV信息 { get; set; }
        public string 到位AGV信息 { get; set; }
        public string 正在离开AGV信息 { get; set; }
        public string 上升到位AGV信息 { get; set; }
        public string 下降到位AGV信息 { get; set; }

        //public string 正在进门AGV信息 { get; set; }
        //public string 正在出门AGV信息 { get; set; }

        public double 耗时 { get; set; }
        public string 消息 { get; set; }
    }
}
