﻿using PropertyChanged;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ProjectManagementSystemView.Infrastructure.Models
{
    [AddINotifyPropertyChangedInterface]
    public class VmPackStationRgv
    {
        public string Id { get; set; }
        public int Mark { get; set; }
        public int MarkRequestEnter { get; set; }
        public int MarkLeaveDone { get; set; }

        public bool AgvRequestEnter { get; set; }
        public bool AgvEntering { get; set; }
        public bool AgvInStation { get; set; }
        public bool AgvLeaving { get; set; }
        public bool AgvLeaveDone { get; set; }

        public string AgvRequestEnterInfo { get; set; }
        public string AgvEnteringInfo { get; set; }
        public string AgvInStationInfo { get; set; }
        public string AgvLeavingInfo { get; set; }
        public string AgvLeaveDoneInfo { get; set; }

        public double TimeConsumption { get; set; }
        public string Message { get; set; }
        public string MessageRequestEnter { get; set; }
        public string MessageLeaveDone { get; set; }
    }
}
