﻿using PropertyChanged;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ProjectManagementSystemView.Infrastructure.Models
{
    [AddINotifyPropertyChangedInterface]
    public class VmPmsTaskInfo
    {
        public string TaskID { get; set; }
        public string WareHouseCode { get; set; }
        public string LocationCode { get; set; }
        public string MaterialId { get; set; }
        public string TargetWareHouseCode { get; set; }
        public string TargetLocationCode { get; set; }

        public DateTime CreateTime { get; set; }
        public int Carrier { get; set; }
        public string CarrierType { get; set; }
        public int Priority { get; set; }

        public string Message { get; set; }
    }
}
