﻿using DbCommon.BusinessCore.DbCore;
using DbCommon.Enties.DbModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace DbCommon.BusinessCore.BaseCore
{
    public class AreaTrafficManager : DbContext<AreaTraffic>
    {
        public void Init()
        {
            //If no exist create datebase 
            //Db.DbMaintenance.CreateDatabase();

            string tableName = Db.EntityMaintenance.GetTableName<AreaTraffic>();
            if (!Db.DbMaintenance.IsAnyTable(tableName, false))
            {
                //Create tables
                Db.CodeFirst.InitTables(typeof(AreaTraffic));
            }
        }
    }
}
