﻿using DbCommon.Enties.DbModels;
using PropertyChanged;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ProjectManagementSystemView.Infrastructure.Models
{
    [AddINotifyPropertyChangedInterface]
    public class VmCallTask
    {
        public string TaskID { get; set; }
        public int Priority { get; set; }
        public int Carrier { get; set; }
        public EnumTaskStatus TaskStatus { get; set; }

        public string TemplateName { get; set; }
        public string AllWarehouse { get; set; }
        public string CurrentWarehouse { get; set; }
        public int WarehouseIndex { get; set; }
        public string Message { get; set; }

        public EnumStepStatus StepStatus { get; set; }
        public int StepMark { get; set; }
        public int StepRoute { get; set; }
        public string StepLocation { get; set; }
        public string MaterialId { get; set; }

        public DateTime CallTime { get; set; }
        public DateTime CreateTime { get; set; }
        public DateTime StartTime { get; set; }
        public DateTime EndTime { get; set; }
    }
}
