﻿using ProjectManagementSystem.Device.CommandCallback;
using PropertyChanged;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ProjectManagementSystemView.Infrastructure.Models
{
    [AddINotifyPropertyChangedInterface]
    public class VmInfoAgv
    {
        public int AgvId { get; set; }
        public int Mark { get; set; }
        public int Route { get; set; }
        public bool InStation { get; set; }
        public EnumInfoAgvStatus StatusEnum { get; set; }
        public int Status { get; set; }
        public string StatusText { get; set; }
        public int Alarm { get; set; }
        public string AlarmText { get; set; }
        public decimal BatteyPower { get; set; }
        public decimal BatteyVoltage { get; set; }
        public decimal BatteyCurrent { get; set; }
        public decimal BatteyTemperature { get; set; }
        public int SpeedLevel { get; set; }

        public string RemoteEndPoint { get; set; }
        public DateTime LastUpdateTime { get; set; }
        public bool DataValid { get; set; }
    }
}
