﻿using PropertyChanged;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ProjectManagementSystemView.Infrastructure.Models
{
    [AddINotifyPropertyChangedInterface]
    public class VmInfoRollerHx
    {
        public int DeviceId { get; set; }
        public int Function { get; set; }

        public int AlarmCode { get; set; }
        public int FFULevel { get; set; }
        public int FFUStatus { get; set; }

        public int LightStatus { get; set; }
        public int DeviceStatus { get; set; }

        public bool NoAction { get; set; }
        public bool Rotating { get; set; }
        public bool Empty { get; set; }
        public bool Full { get; set; }


        public int ActionCode { get; set; }
        public DateTime Recv0x52Time { get; set; }

        public string RemoteEndPoint { get; set; }
        public DateTime LastUpdateTime { get; set; }
        public bool DataValid { get; set; }
    }
}
